Before You Upgrade to OS X Mountain Lion 10.8

Mac OS X 10.8 Mountain Lion Upgrade considerations

OS X Mountain Lion 10.8 upgrade considerations

OS X Mountain Lion 10.8

Apple’s newest Operating System – OS X Mountain Lion 10.8, is now available to the general public from the App Store. Anyone purchasing a new Mac will most likely have it pre-installed. For those of us running an older Mac, there a few considerations to keep in mind. Is my Mac compatible and what are the system requirements?

Here is the list of requirements that your Mac needs to satisfy before installing Mountain Lion OS X 10.8, from a Hardware and Software standpoint,

  • OS X v10.6.8 or later
  • 2GB of memory
  • 8GB of available space

and equally important it’s only supported on the following hardware,

  • iMac (Mid 2007 or newer)
  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • MacBook Air (Late 2008 or newer)
  • Mac mini (Early 2009 or newer)
  • Mac Pro (Early 2008 or newer)
  • Xserve (Early 2009)

As always MAKE A COMPLETE BACKUP of your Mac before proceeding just in case unexpected things happen and you need to rollback.

We recommend Carbon Copy Cloner, as it’s easy to use and simply works. Happy Upgrading !

 

Tagged with: , , ,